# Generated from acts_as_tree-2.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name acts_as_tree

Name: rubygem-%{gem_name}
Version: 2.8.0
Release: 1%{?dist}.3
Summary: Provides a simple tree behaviour to active_record models
Group: Development/Languages
License: MIT
URL: https://github.com/amerine/acts_as_tree
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: rubygem(sqlite3)
BuildRequires: rubygem(minitest) >= 4.7.5
BuildRequires: rubygem(activerecord)
BuildArch: noarch

%description
A gem that adds simple support for organizing ActiveRecord models into
parent–children relationships.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/




# Run the test suite
%check
pushd .%{gem_instdir}
ruby -Ilib:test test/*.rb
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/acts_as_tree.gemspec
%{gem_instdir}/test

%changelog
* Tue Nov 20 2018 Oleg Girko <ol@infoserver.lv> - 2.8.0-1
- Update to 2.8.0
* Wed May 23 2018 Oleg Girko <ol@infoserver.lv> - 2.7.0-1
- Update to 2.7.0
* Fri Apr 21 2017 Oleg Girko <ol@infoserver.lv> - 2.5.0-1
- Update to 2.5.0
* Fri Jun 17 2016 Oleg Girko <ol@infoserver.lv> - 2.4.0-1
- Initial package
